%
% Script file frontio.m
%
% Demonstration of Matlab interaction with ADMXRC card
% Running frontio example



% Initialise card 
handle=admxrc_init;

[id,ser_no,board]=admxrc_getinfo(handle);

if (~(strcmp(board,'xrc')|strcmp(board,'xrc2l')))
  error('This example must be run on an ADM-XRC or ADM-XRC-IIL');
end

% Load bit file onto card
fname=getFPGAfilename(handle,'frontio');
admxrc_config(handle,fname);

% Wait for a key press
a=input('FRONTIO FPGA loaded: Press return to exit\n');

% Close card
admxrc_close(handle);
  
